
Database - Bug #3130

remove p2j_id_generator_sequence from generated index ddl

06/17/2016 01:23 PM - Ovidiu Maxiniuc

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 06/17/2016 01:27 PM - Ovidiu Maxiniuc

- Subject changed from remove p2j_id_generator_sequence from index ddl to remove p2j_id_generator_sequence from generated index ddl

The fact that the p2j_id_generator_sequence DDL is emitted into the index DDL file at conversion is a bug. This has nothing to do with indexes and

must be removed. If the generated index ddl is applied to a database these declarations will broke the database by resetting the id generator so there

will be record id collisions.

The only moment for creating/resetting the value of this sequence is after a fresh database import.

#2 - 07/12/2016 07:03 AM - Ovidiu Maxiniuc

- Status changed from New to WIP

Task branch 3130a was created from trunk rev 11066.

The fix for the issue was committed as revision 11067.

#3 - 04/17/2017 11:48 AM - Eric Faulhaber

Ovidiu, please rebase branch 3130a to the latest trunk and get this fix regression tested (conversion only) and merged to trunk as soon as possible.

Thanks.

#4 - 04/20/2017 08:19 AM - Ovidiu Maxiniuc

3130a passed conversion testing on devsrv01 and ETF on local workstation. It was merged to trunk as revision 11149.

The notification email was sent to team and the task branch was archived.

#5 - 04/20/2017 08:20 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed

- Assignee set to Ovidiu Maxiniuc

- Target version set to Cleanup and Stablization for Server Features
